cascading.cascade

## Class BaseCascade.CascadeJob

- java.lang.Object
- - cascading.cascade.BaseCascade.CascadeJob

All Implemented Interfaces:
  java.util.concurrent.Callable<java.lang.Throwable>

Enclosing class:
  BaseCascade

    protected class BaseCascade.CascadeJob
    extends java.lang.Object
    implements java.util.concurrent.Callable<java.lang.Throwable>

Class CascadeJob manages Flow execution in the current Cascade instance.

### Constructor Summary

Constructors
Constructor and Description
`BaseCascade.CascadeJob(Flow flow)`

### Method Summary

Methods
`java.lang.Throwable` `call()`
`java.lang.String` `getName()`
`void` `init(java.util.List<BaseCascade.CascadeJob> predecessors)`
`boolean` `isSuccessful()`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseCascade.CascadeJob

    public BaseCascade.CascadeJob(Flow flow)

### Method Detail

#### getName

    public java.lang.String getName()

#### call

    public java.lang.Throwable call()

Specified by:
  `call` in interface `java.util.concurrent.Callable<java.lang.Throwable>`

#### init

    public void init(java.util.List<BaseCascade.CascadeJob> predecessors)

#### stop

    public void stop()

#### isSuccessful

    public boolean isSuccessful()